// ex00dlg.h : header file
//
#include "arclib.h"
#include "pkengn.h"
#include "filestor.h"
#include "memstore.h"

/////////////////////////////////////////////////////////////////////////////
// CEx00mfcDlg dialog

class CEx00mfcDlg : public CDialog
{
// Construction
public:
	CEx00mfcDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CEx00mfcDlg)
	enum { IDD = IDD_EX00MFC_DIALOG };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEx00mfcDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CListBox *m_lb;
	ALCompressor *m_compressor;
	ALDecompressor *m_decompressor;
	ALStorage *m_storage;

	void LoadFiles();
    void UpdateStatus();

	// Generated message map functions
	//{{AFX_MSG(CEx00mfcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCompress();
	afx_msg void OnExit();
	afx_msg void OnDecompress();
	afx_msg void OnClear();
	afx_msg void OnAbout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

