// Campi maschere manutenzione quadri A/Abis/A1/A2/A3

// lunghezza campi importo
#define LENIMP 15 

// posizioni standard
#define STDIMP 61 
#define STDINF 25

// 771200a.uml (ingresso quadro A/Abis/A1/A2/A3)
#define QAF_CODDITTA    181
#define QAF_RAGDITTA    102
#define QAF_ANNODIC     103
#define F_CODIP         104
#define F_CODANAGDIP    105
#define QAF_COGNOME     106
#define QAF_NOME        107  
#define F_COGNOMEDIP    182
#define F_NOMEDIP       183
#define QAF_NPROG       108


// 771200b.uml (quadro A)
#define F_DATAIR      110
#define F_DATAFR      111
#define F_CAUSA       112
#define F_DENARO      113
#define F_COBBDIP21   116
#define F_AIEREP23    118
#define F_CCTAMMCONT  122
#define F_CCTAMNACON  123
#define F_ICTOTIMP30  125
#define F_DETCC       126
#define F_DETFC       127
#define F_DETAF       128
#define F_DETLD       129
#define F_DETO        130
#define F_TOTDET36    131
#define F_AMRIOT37    132
#define F_AMRIODL38   133
#define F_ECCRITRIMB  134
#define F_AMMRITDOV   135
#define F_ERSPSAN41   136
#define F_PRASSVI42   137
#define F_CONPRECO43  138
#define F_COBBDIP44   139
#define F_AMMIMP45    140
#define F_DETIMPOS46  141
#define F_RITESEG47   142
#define F_AIFCSSN49   144
#define F_CFCONINPS   145
#define F_SASS95      146
#define F_CIIAT       167
#define F_CIPA        168
#define F_NUMGIORNI   170
#define F_CODFISDL    171
#define F_CODIP2      190
#define QA_RAGSOC2    191
#define	QAF_AREAATT		405
#define	QAF_TIPOATT		406
#define	QAF_SVNSOGRIT	407
#define	QAF_GIODET		409
#define F_QAQUALIF    176
#define F_QASACTRPA		177
#define F_QAEXCTRPC		178
#define F_QAEXCTRLD		179
#define F_QAERGSAN		180
#define F_QAIMPON			184
#define F_QACTREURO		185
#define F_QATITOLO		186
#define F_QAPEIMP			187 
#define F_QAARRETR    188    

// 771200m.uml (quadro Abis)
#define F_CONEFF50    147
#define F_IMPVERS51   148
#define F_ISOPTAS52   149
#define F_CONTRVER53  150
#define F_ISOPTAS54   151
#define F_CNEFF55     152
#define F_RETCON56    153
#define F_IMPRIMB57   154
#define F_IMPVER58    155
#define F_INTIRPEF59  156
#define F_IMPVER60    157
#define F_INTER61     158
#define F_STSIRPEF62  159
#define F_CONRIMB63   160
#define F_CONVER64    161
#define F_INTER65     162
#define F_CONVER66    163
#define F_INTER67     164
#define F_STSCSSN68   165
#define F_SEGDICNL69  166
#define F_CODCAAF     169
#define F_DENCAAF     173
#define F_CODFISCAAF  174
#define F_NISCRA      175
#define F_QABEURIMB   500
#define F_QABEUTRAT		501
#define F_QABEUINTE		502
#define F_QABEUSOPR		503
#define F_QABTSTRAT		504
#define F_QABTSINTE		505
#define F_QABTSSOPR		506 
#define F_QABRCB19		507 
#define F_QABRCB20		508 
#define F_QABRCB21		509
#define F_QABRCB22		510
#define F_QABRCB23		511
#define F_QABRCB24		512
#define F_QABRCB25		513
#define F_QABRCB26		514
#define F_QABRCB27		515
#define F_QABRCB28		516
#define F_QABRCB29		517

// 771200d.uml (quadro A1)
#define F_MESEANNO    200
#define F_IMPRIMB9    201
#define F_IMPVERS10   202
#define F_INTER11     203
#define F_IMPVERS12   204
#define F_INTER13     205
#define F_STASSA14    206
#define F_CONTRIMB15  207
#define F_CONTVERS16  208
#define F_INTER17     209
#define F_CONTVER18   210
#define F_INTER19     211
#define F_STASSA20    212
#define F_CONNEFF21   213
#define F_TIPOCONG22  214
#define F_DATARIC29   215
#define	QA1F_ANNORIF	410

// 771200f.uml (quadro A2)
#define F_IIRPEFVER8  	250
#define F_IIRPEFRI9   	251
#define F_PRIRPEF10   	252
#define F_AIRPEFINT   	253
#define F_STASSA12    	254
#define F_CONTR13     	255
#define F_CONTR14     	256
#define F_PRCSSN15    	257
#define F_INTER16     	258
#define F_STASSA17    	259
#define F_VEFFCON18   	260
#define F_SDNLIQ19    	261
#define F_RETCON20    	262
#define	QA2F_CNEFF		  411
#define	QA2F_RETCON		  412
#define	QA2F_CSSNCRIMB	413
#define	QA2F_CSSNCVER		414
#define	QA2F_CSSNINT		415
#define	QA2F_CSSNAIV		416
#define	QA2F_CSSNAINT		417
#define	QA2F_STCSSN			418
#define	QA2F_730NLIQ		419 
#define	F_QA2RCB10			420 
#define	F_QA2RCB11			421
#define	F_QA2RCB12			422
#define	F_QA2RCB13			423
#define	F_QA2RCB14			424
#define	F_QA2RCB15			425
#define	F_QA2RCB16			426
#define	F_QA2RCB17			427
          
// 771200g.uml (quadro A3)
#define F_CODIPQUADRO 300          
#define F_BASEOCCUPA  301

// 771200h.uml (quadro A3)
#define F_DIRAPTI     350
#define F_NGINC15     351
#define F_REDCOR16    352
#define F_NGINC17     353
#define F_REDCOR18    354
#define F_DIRAPTI_2   355
#define F_NGINC15_2   356
#define F_REDCOR16_2  357
#define F_NGINC17_2   358
#define F_REDCOR18_2  359  
#define F_CODDITTA_2  360
#define F_CODIP_2     361
#define F_CODIP2_2    362
#define F_COGNOME_2   363
#define F_NOME_2      364
#define F_NPROG_2     365
#define F_DENTRASF    366
#define F_COGNTRASF   367
#define F_NOMETRASF   368

// 771200i.uml (base occupazionale)
#define F_BSE_CONSBASOCC  400
#define F_BSE_LAVDIPCIN   401
#define F_BSE_DATAINPI    402
#define F_BSE_DATAFINPI   403

// gruppo operazioni di conguaglio (quadri Abis e A2)
#define	G_OPECONG		  	12

#define	F_CODANAGDIPQA	420
#define	QAF_ALLEG_A			421
#define	QA2F_ALLEG_A2		422

